package ru.yandex.wmconsole.data;

import java.util.Date;

/**
 * @author Andrey Mima (amima@yandex-team.ru)
 */
public class PersonalMessageNotificationInfo {
    private final long userId;
    private final String message;
    private final String header;
    private final Date receiveTime;

    public PersonalMessageNotificationInfo(long userId, String message, String header, Date receiveTime) {
        this.userId = userId;
        this.message = message;
        this.header = header;
        this.receiveTime = receiveTime;
    }

    public long getUserId() {
        return userId;
    }

    public String getMessage() {
        return message;
    }

    public String getHeader() {
        return header;
    }

    public Date getReceiveTime() {
        return receiveTime;
    }
}
